<div>
    <div class="">
        <!-- start main content section -->

        <div >
            <div class="panel">
                <div class="dataTable-top">
                    <div class="w-full flex justify-between items-center">
                        <h5 class="text-lg font-semibold dark:text-white-light  md:mb-0">Gestion du parc</h5>
                        <a href="<?php echo e(route('new-car')); ?>" class="btn btn-dark ">Ajouter</a>
                    </div>
                    <input type="text" placeholder="Rechercher..." wire:model="search" class="form-input" required />

                </div>

                <div class="grid grid-cols-1 md:grid-cols-2  lg:grid-cols-3 gap-4">
                    <!-- card 8 -->
                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div
                        class="max-w-[24rem] w-full bg-white shadow-[4px_6px_10px_-3px_#bfc9d4] rounded border border-[#e0e6ed] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none p-5 m-auto">
                        <div class="flex justify-between mb-5">
                            <h6 class="text-[#0e1726] font-semibold text-base dark:text-white-light"><?php echo e($item->name); ?></h6>
                            <?php if($item->approuvee == 0): ?>
                                <span class="badge bg-warning/10 text-warning text-xs py-1.5 dark:bg-primary dark:text-white">
                                    En attente 
                                </span>
                                <?php else: ?>
                                    <?php if($item->disponible == 0): ?>
                                        <span class="badge bg-danger/10 text-danger text-xs py-1.5 dark:bg-primary dark:text-white">
                                            Desactivé
                                        </span>
                                    <?php else: ?>
                                        <span class="badge bg-success/10 text-success text-xs py-1.5 dark:bg-primary dark:text-white">
                                            Approuvée
                                        </span>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <span class="badge bg-primary/10 text-primary py-1.5 dark:bg-primary dark:text-white"> <?php echo e($item->marque->titre); ?></span>
                        </div>
                        <div class="w-full flex justify-between">
                            <div class="flex items-center justify-start -space-x-3 rtl:space-x-reverse mb-5">
                                <?php $__currentLoopData = $types_photos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $col_photo = "photo_".$type;
                                    ?>
                                    <?php if($item->$col_photo): ?>
                                    <img class="w-9 h-9 rounded-full overflow-hidden object-cover ring-2 ring-white dark:ring-[#515365] shadow-[0_0_15px_1px_rgba(113,106,202,0.30)] dark:shadow-none"
                                    src="storage/<?php echo e($item->$col_photo); ?>" alt="image" />
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                
                            </div>
                            
                                <div>
                                    <span class="text-lg font-bold"> <?php echo e(reformat_price($item->montant_location)); ?></span> F / <?php echo e($item->type_location->name); ?>

                                </div>
                        </div>
                        <div class="flex flex-wrap">
                            <?php $__currentLoopData = $options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="btn <?php echo e($item->$option == 1 ? 'btn-outline-success'  : 'btn-outline-danger'); ?> btn-outline-success flex px-2 py-1 mr-2 mt-2 text-xs">
                                    <?php echo e(reformat_text_option($option)); ?>

                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            
                        </div>
                        <div class="flex justify-between items-center mt-2">
                            <div class="flex">
                                <span class="mr-2 py-1 px-2 border bg-slate-700 text-white border-slate-700 rounded-md">
                                    <i class="fa-solid fa-sliders"></i> <?php echo e($item->boite->name); ?>

                                </span>
                                <span class="mr-2 py-1 px-2 border bg-slate-700 text-white border-slate-700 rounded-md">
                                    <i class="fa-solid fa-car"></i> <?php echo e($item->type_vehicule->name); ?>

                                </span>
                            </div>
                            <div>
                                <a href="<?php echo e(route('edit-car', ['slug'=> $item->slug])); ?>" class="text-amber-700" >
                                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 ltr:mr-3 rtl:ml-3">
                                        <path opacity="0.5" d="M22 10.5V12C22 16.714 22 19.0711 20.5355 20.5355C19.0711 22 16.714 22 12 22C7.28595 22 4.92893 22 3.46447 20.5355C2 19.0711 2 16.714 2 12C2 7.28595 2 4.92893 3.46447 3.46447C4.92893 2 7.28595 2 12 2H13.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                                        <path d="M17.3009 2.80624L16.652 3.45506L10.6872 9.41993C10.2832 9.82394 10.0812 10.0259 9.90743 10.2487C9.70249 10.5114 9.52679 10.7957 9.38344 11.0965C9.26191 11.3515 9.17157 11.6225 8.99089 12.1646L8.41242 13.9L8.03811 15.0229C7.9492 15.2897 8.01862 15.5837 8.21744 15.7826C8.41626 15.9814 8.71035 16.0508 8.97709 15.9619L10.1 15.5876L11.8354 15.0091C12.3775 14.8284 12.6485 14.7381 12.9035 14.6166C13.2043 14.4732 13.4886 14.2975 13.7513 14.0926C13.9741 13.9188 14.1761 13.7168 14.5801 13.3128L20.5449 7.34795L21.1938 6.69914C22.2687 5.62415 22.2687 3.88124 21.1938 2.80624C20.1188 1.73125 18.3759 1.73125 17.3009 2.80624Z" stroke="currentColor" stroke-width="1.5"></path>
                                        <path opacity="0.5" d="M16.6522 3.45508C16.6522 3.45508 16.7333 4.83381 17.9499 6.05034C19.1664 7.26687 20.5451 7.34797 20.5451 7.34797M10.1002 15.5876L8.4126 13.9" stroke="currentColor" stroke-width="1.5"></path>
                                    </svg>
                                </a>
                            </div>
                        </div>
                    </div> 
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/demalma/resources/views/livewire/admin/mon-parc-component.blade.php ENDPATH**/ ?>